1. Affiliate.com API Endpoints
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Affiliate.com API Endpoints

Merchants

Merchants API Overview#

The Merchants API allows users to retrieve detailed information about merchants within various affiliate networks. Merchants represent individual sellers or companies affiliated with a network, such as bol.com NL, bol.com BE, etc. This API provides comprehensive details about these merchants, including their identifiers, names, associated networks, and product counts.

Endpoint#

GET /v1/merchants

API Description#

The Merchants API is designed to provide users with detailed information about individual merchants that belong to different affiliate networks. Each merchant may have its own set of products and specific characteristics. This API facilitates the retrieval of such detailed information and normalizes it, supporting pagination to manage large sets of data efficiently. Users can leverage this information to display, analyze, or manage merchant data within their applications.

Response#

A successful response returns a JSON object with metadata about the pagination and an array of merchant details.
{
  "meta": {
    "total": 112599,
    "from": 1,
    "to": 100,
    "current_page": 1,
    "last_page": 1126,
    "per_page": 100,
    "fields": [
      "id",
      "name",
      "network",
      "product_count": 5465
    ]
  },
  "data": [
      {
    "id": 57131,
    "name": "Levi's",
    "description": "Levi's is synonymous with denim jeans, having invented the original back in the late 1800s. Their products are cut from the best cloth, crafted with expert care, and designed for the long haul. This program offers a 7-day cookie duration.",
    "domains": [
      "https://www.levi.com/us/en_us"
    ],
    "icon_url": "https://img.affiliate.com/logos/merchants/57131/icon.png",
    "logo_url": "https://img.affiliate.com/logos/merchants/57131/logo.png",
    "product_count": 28391,
    "network": {
      "id": 600,
      "name": "FlexOffers US",
      "url": "https://www.flexoffers.com",
      "logo_url": "https://img.affiliate.com/logos/groups/10018/128x128.png"
    }
  },
     {
        "id": 37590,
        "name": "WalMart Canada",
        "description": "Skip store lineups & shop for groceries online from the convenience of home. Order non-essentials & groceries at Walmart.ca with a range of delivery and pick-up options.",
        "domains": [
            "http://www.walmart.ca"
        ],
        "icon_url": "https://img.affiliate.com/logos/merchants/37590/icon.png",
        "logo_url": "https://img.affiliate.com/logos/merchants/37590/logo.png",
        "product_count": 0,
        "network": {
            "id": 4,
            "name": "Rakuten US",
            "url": "https://rakutenadvertising.com",
            "logo_url": "https://img.affiliate.com/logos/groups/10022/128x128.png"
        }
      }
  ]
}

Response Fields#

Main Response#

Field NameTypeDescription
metaobjectMetadata about the pagination.
dataarrayThe array of merchant groups.

meta Object#

Field NameTypeDescription
totalintegerThe total number of items.
fromintegerThe start # of the results.
tointegerThe end # of the results.
current_pageintegerThe current page result.
last_pageintegerThe last page # in result et.
per_pageintegerThe # of results per page.
fieldsarrayThe fields that are returned.

data Array#

merchant Object#

Field NameTypeDescription
idintegerThe unique identifier of the merchant.
namestringThe name of the merchant.
networkobjectThe network to which the merchant belongs.
product_countintegerThe amount of products the merchants provides.
descriptionstringDescription of the merchant
logo_urlstringThe url of the stored logo for that merchant.
icon_urlstringThe url of the stored icon for that merchant.
domainsarrayThe cononical domian(s) for the merchant.
origin_urlstringThe unique identifier from the merchant.
network Object#
Field NameTypeDescription
network.idintegerThe unique identifier of the network.
network.namestringThe name of the network.
network.logo_urlstringThe URL of the network's logo.

Parameters#

Parameter NameTypeRequiredDescription
/{id}stringNoFilters response to a single merchant by its ID
fieldsstringNoLimit to the return to the fields specified
pageintegerNoThe page number to retrieve. Defaults to 1.
per_pageintegerNoThe number of items per page. Defaults to 100.
searchstringNoSearch for a merchant by their name (e.g. ?search=best+buy) or domain (e.g. betbuy.com
network_idsstringNoFilter results with the network ids provided as a comma separated value
origin_idsstringNoFilter results origin ids provided as a comma separated value
has_iconinteger (1 for True, 0 for False)NoFilter results that only have an icon url.
has logointeger (1 for True, 0 for False)NoFilter results that only have a logo url.
has_domainsinteger (1 for True, 0 for False)NoFilter results that have a domain value in the array.
has_descriptioninteger (1 for True, 0 for False)NoFilter results that have a description value
product_count_minintegerNoFilter results that meet the minimum amount of products
product_count_maxintegerNoFilter results that meet the maximum amount of products
Modified at 2025-09-02 18:42:29
Previous
Get Single Specific Network
Next
List All Merchants